CVE Vulnerabilities

CVE-2024-23899

Published: Jan 24, 2024 | Modified: Jan 31, 2024
CVSS 3.x
6.5
MEDIUM
Source:
NVD
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
CVSS 2.x
RedHat/V2
RedHat/V3
Ubuntu

Jenkins Git server Plugin 99.va_0826a_b_cdfa_d and earlier does not disable a feature of its command parser that replaces an @ character followed by a file path in an argument with the files contents, allowing attackers with Overall/Read permission to read content from arbitrary files on the Jenkins controller file system.

Affected Software

Name Vendor Start Version End Version
Git_server Jenkins * 99.va_0826a_b_cdfa_d

References